Package org.apache.sling.discovery.impl.standalone

## Class ClusterViewImpl

- java.lang.Object
- - org.apache.sling.discovery.impl.standalone.ClusterViewImpl

All Implemented Interfaces:
  `org.apache.sling.discovery.ClusterView`

    public class ClusterViewImpl
    extends Object
    implements org.apache.sling.discovery.ClusterView

### Constructor Summary

Constructors
`ClusterViewImpl​(org.apache.sling.discovery.InstanceDescription myInstance)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getId()`
`List<org.apache.sling.discovery.InstanceDescription>` `getInstances()`
`org.apache.sling.discovery.InstanceDescription` `getLeader()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClusterViewImpl

    public ClusterViewImpl​(org.apache.sling.discovery.InstanceDescription myInstance)

### Method Detail

#### getLeader

    public org.apache.sling.discovery.InstanceDescription getLeader()

Specified by:
  `getLeader` in interface `org.apache.sling.discovery.ClusterView`

#### getInstances

    public List<org.apache.sling.discovery.InstanceDescription> getInstances()

Specified by:
  `getInstances` in interface `org.apache.sling.discovery.ClusterView`

#### getId

    public String getId()

Specified by:
  `getId` in interface `org.apache.sling.discovery.ClusterView`